Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1603931 - esc: FTBFS in Fedora rawhide
Summary: esc: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: esc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jack Magne
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 19:32 UTC by Mohan Boddu
Modified: 2018-08-10 14:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-10 14:14:36 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 19:32 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 19:32 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 19:32 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 19:32:14 UTC
esc failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28176433


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix esc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
esc will be orphaned. Before branching of Fedora 30,
esc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 19:32:20 UTC
Created attachment 1461804 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 19:32:24 UTC
Created attachment 1461805 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 19:32:29 UTC
Created attachment 1461806 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 11:00:59 UTC
Matches:
make[2]: gcc: Command not found

Suggested fix:
BuildRequires:  gcc

Comment 5 Jack Magne 2018-07-23 18:47:00 UTC
Thanks for the report. Very soon I"m going to be putting up a new one that doesn't have the xulrunner dep. When I do that I can fix this, since the new one will also use c and c++.

Comment 6 Igor Gnatenko 2018-08-10 14:14:36 UTC
There has been at least one successfull build after mass rebuild.

esc-1.1.2-2.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1133466


Note You need to log in before you can comment on or make changes to this bug.